Synology-SA-18:51 DSM

Publish Time: 2018-08-29 14:14:12 UTC+8

Last Updated: 2019-04-01 02:24:42 UTC+8

Severity
Moderate
Status
Ongoing

Abstract

These vulnerabilities allow remote authenticated users to obtain sensitive information or inject arbitrary web script or HTML via s susceptible version of Synology DiskStation Manager (DSM).

Affected Products

Product Severity Fixed Release Availability
DSM 6.2 Moderate Upgrade to 6.2.1-23824 or above.
DSM 6.1 Moderate Upgrade to 6.2.1-23824 or above.
DSM 5.2 Moderate Upgrade to 6.2.1-23824 or above.
SkyNAS Moderate Will not fix.
VS960HD Moderate Ongoing

Mitigation

None

Detail

  • CVE-2018-13291

    • Severity: Moderate
    • CVSS3 Base Score: 4.3
    • CVSS3 Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N
    • Information exposure vulnerability in /usr/syno/etc/mount.conf in Synology DiskStation Manager (DSM) before 6.2.1-23824 allows remote authenticated users to obtain sensitive information via the world readable configuration.
  • CVE-2018-13293

    • Severity: Moderate
    • CVSS3 Base Score: 5.9
    • CVSS3 Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:R/S:C/C:L/I:L/A:L
    • Cross-site scripting (XSS) vulnerability in Control Panel SSO Settings in Synology DiskStation Manager (DSM) before 6.2.1-23824 allows remote authenticated users to inject arbitrary web script or HTML via the URL parameter.

Acknowledgement

  • Maximilian Tews (www.linkedin.com/in/maximilian-tews)

  • Muhammad Junaid Abdullah (https://twitter.com/snoviboy)

Revision

Revision Date Description
1 2018-08-29 Initial public release.
2 2019-04-01 Disclosed vulnerability details.